#
# spec file for package python-portpicker
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-portpicker
Version:        1.3.1
Release:        bp155.2.10
Summary:        A library to choose unique available network ports
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            https://github.com/google/python_portpicker
Source0:        https://files.pythonhosted.org/packages/source/p/portpicker/portpicker-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module mock}
# /SECTION
%python_subpackages

%description
Portpicker provides an API to find and return an available network port for
an application to bind to. Ideally suited for use from unittests or for test
harnesses that launch local servers.

%prep
%setup -q -n portpicker-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python src/tests/portpicker_test.py

%files %{python_files}
%license LICENSE
%doc CONTRIBUTING.md README.md
%{python_sitelib}/*
# import asyncio
%python3_only %{_bindir}/portserver.py

%changelog
* Mon May 20 2019 pgajdos@suse.com
- version update to 1.3.1
  * Fix a race condition in `pick_unused_port()` involving the free ports set.
  * Adds an optional `portserver_address` parameter to `pick_unused_port()` so
    that callers can specify their own regardless of `os.environ`.
  * `pick_unused_port()` now raises `NoFreePortFoundError` when no available port
    could be found rather than spinning in a loop trying forever.
  * Fall back to `socket.AF_INET` when `socket.AF_UNIX` support is not available
    to communicate with a portserver.
  * Introduced `add_reserved_port()` and `return_port()` APIs to allow ports to
    be recycled and allow users to bring ports of their own.
  * Changed default port range to 15000-24999 to avoid ephemeral ports.
  * Portserver bugfix.
- convert to single spec
- run test
* Tue Dec  1 2015 rjschwei@suse.com
- Include in SLE 12 (FATE#319904, bsc#954690)
* Thu Nov 12 2015 rjschwei@suse.com
- Initial build
  + Version 1.1.0
